Package x2go :: Module sftpserver :: Class X2GoRevFwSFTPChannelThread

[frames] | no frames]

# Class X2GoRevFwSFTPChannelThread

source code

                 object --+
                          |
         threading._Verbose --+
                              |
               threading.Thread --+
                                  |
    rforward.X2GoRevFwChannelThread --+
                                      |
                                     X2GoRevFwSFTPChannelThread

A clone of rforward.X2GoRevFwChannelThread.

Instance Methods
Inherited from `rforward.X2GoRevFwChannelThread`: `__init__` Inherited from `threading.Thread`: `__repr__`, `getName`, `isAlive`, `isDaemon`, `is_alive`, `join`, `run`, `setDaemon`, `setName`, `start` Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Properties
Inherited from `threading.Thread`: `daemon`, `ident`, `name` Inherited from `object`: `__class__`